### Struct

# EDataServer WebDAVPropertyChange

#### Description

    struct EWebDAVPropertyChange {
      EWebDAVPropertyChangeKind kind;
      gchar* ns_uri;
      gchar* name;
      gchar* value;
    }

No description available.

###### Structure members

`kind:` `EWebDAVPropertyChangeKind`

  No description available.

`ns_uri:` `gchar*`

  No description available.

`name:` `gchar*`

  No description available.

`value:` `gchar*`

  No description available.

#### Constructors

###### e_webdav_property_change_new_remove

Creates a new `EWebDAVPropertyChange` of kind `E_WEBDAV_PROPERTY_REMOVE`, which is used to remove the given property. To change property value use `e_webdav_property_change_new_set()` instead.

since: 3.26

###### e_webdav_property_change_new_set

Creates a new `EWebDAVPropertyChange` of kind `E_WEBDAV_PROPERTY_SET`, which is used to modify or set the property value. The `value` is a string representation of the value to store. It can be `NULL`, but it means an empty value, not to remove it. To remove property use `e_webdav_property_change_new_remove()` instead.

since: 3.26

#### Functions

###### e_webdav_property_change_free

Frees an `EWebDAVPropertyChange` previously created with e_webdav_property_change_new_set(), `e_webdav_property_change_new_remove()` or or e_webdav_property_change_copy(). The function does nothing, if `ptr` is `NULL`.

since: 3.26

#### Instance methods

###### e_webdav_property_change_copy

No description available.

since: 3.26